import java.io.*;

class fa extends f_xj
{
public double func(double x[]) 
{
//çözümü istenen fonksiyon	
double ff;
ff=x[0]*Math.sin(10.0*Math.PI*x[0])+3.0;
return ff; //maksimum testi
}
}

class NA110
{
    public static void main(String args[]) throws IOException
    {
	fa fx=new fa();
    double low[]=new double[1];
    double high[]=new double[1];
    low[0]=-1.0;high[0]=2.0;
    monte_carlo_opt mco=new monte_carlo_opt(100000,low,high); 
    double xmax[]=mco.monte_carlo_max(fx);
    for(int i=0;i<xmax.length;i++)
    {System.out.println(xmax[i]);} 
    }
}
